Show / Hide Table of Contents

# Class OpenIddictServerHandlerFilters.RequireAuthorizationCodeGenerated

Represents a filter that excludes the associated handlers if no authorization code is generated.

##### Inheritance

System.Object
OpenIddictServerHandlerFilters.RequireAuthorizationCodeGenerated

##### Implements

IOpenIddictServerHandlerFilter<ProcessSignInContext>

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ToString()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: OpenIddict.Server

###### Assembly: cs.temp.dll.dll

##### Syntax

    public class RequireAuthorizationCodeGenerated : IOpenIddictServerHandlerFilter<ProcessSignInContext>

### Methods

#### IsActiveAsync(ProcessSignInContext)

##### Declaration

    public ValueTask<bool> IsActiveAsync(ProcessSignInContext context)

##### Parameters

Type | Name | Description
--- | --- | ---
ProcessSignInContext | context |

##### Returns

Type | Description
--- | ---
System.Threading.Tasks.ValueTask<System.Boolean> |

### Implements

IOpenIddictServerHandlerFilter<TContext>